function mulabsave
% usage mulabsave
%
% saves MULAB.mat in the local directory 
% (type pwd to see which)
% It is recommended to work in a directory tree like the following
% facility/instrument
% MULAB.mat being instrument specific, should reside in the instrument 
% subdirectory, hence the matlab command should be run from there 
global MU_GEAR MU_MODEL MU_PATH
iok=1;
if ispc
    slash='\';
elseif isunix 
    slash='/';
else
    'Sorry, mulab is not available yet for your OS';
end
if ~isstruct(MU_GEAR)
    iok=0;
elseif ~isfield(MU_GEAR,'NT0')
    iok=0;
end
if ~isstruct(MU_PATH)
    iok=0;
    if MU_PATH.LOG(end)~=slash
        MU_PATH.LOG=[MU_PATH.LOG slash];
    end
end
if ~isstruct(MU_MODEL)
    iok=0;
elseif ~isfield(MU_MODEL,'GROUPING')
    iok=0;
else
    if isempty(MU_MODEL.GROUPING(1).FORWARD)
        iok=0;
    end
end

if iok
    save MULAB.mat MU_GEAR MU_MODEL MU_PATH
else
    disp('Not saving, not enough parameters are set.')
    disp('Saving only if paths are set,')
    disp('t=0 are set (see muload, muset),')
    disp('and a model is loaded (see mumodel)')
end