function f=muprompt(par,data)
%  Y0 = muprompt(P,X)
%  where P = [Area, Center, Sigma, BackLeft, BackRight] are
%  variational parameters, and X is a vector, returns
%  Y0 = BackLeft+(BackRight-BackLeft)*erf((X-Center)*Sigma/sqrt(2))...
%  + Area/(sqrt(2*pi)*Sigma) * exp(-.5*((X - Center)/Sigma).^2);
%
%  CHI2 = muprompt(P,[X; Y; Delta_Y])
%  where Y and Delta_Y are experimental data and errorbar vectors,
%  respectively, returns Chi-square:  CHI2 = sum(((Y-Y0)./Delta_Y).^);
%
%  CHI2 = prompt(P,[X; Y])
%  is the same as above, with Delta_Y = ones(size(X));
  %theoretical function
f = par(1)/(sqrt(2*pi)*par(3)) * exp(-.5*((data(1,:)-par(2))/par(3)).^2)...
    +par(5)/2+par(4)+par(5)/2*erf((data(1,:)-par(2))/sqrt(2)/par(3));
if (size(data,1)==2),    %chi-square, error = 1
  f = sum((data(2,:) - f).^2);
elseif (size(data,1)>2), %chi-square, error = 3rd row of data
  f = sum(((data(2,:) - f)./data(3,:)).^2);
end
